<?php
include('includes/cron_application_top.php');
require_once('includes/classes/class.csv.php');
error_reporting(E_ALL);

function clean_array($array,$utf8_decode = true){
	$new_array = array();
	foreach($array as $k=>$v){
		if($utf8_decode){
			$new_array[$k] = str_replace("'","\\'",utf8_decode($v));
		}else{
			$new_array[$k] = str_replace("'","\\'",$v);
		}
	}
	return $new_array;
}

function _get_countries_id_by_isocode_2($code){
	global $conn;
	$query = $conn->CacheExecute(7200,sprintf("SELECT countries_id FROM countries WHERE countries_iso_code_2='%s'",$code));
	if($query){
		$res = $query->fields['countries_id'];
		return $res;
	}else{
		print_r($query);
	}
}
$file = DIR_FS_CATALOG.'import/airlines.csv';
$csv = new CSVfile($file);
$csv->open('r');
$csv->delimiter = ',';
$text = '';
$c = 0;
$default = array();
while($row = $csv->readRow()){
	if($c > 0){
		$row = clean_array($row,false);
		$insert_sql_array = array(
			'name'=>$row[0],
			'number_code'=>$row[1],
			'code'=>$row[2],
			'countries_id'=>$row[4],
			'date_added'=>'now()'
		);
		xtc_db_perform('airlines',$insert_sql_array);
	}
	$c++;
}

$file = DIR_FS_CATALOG.'import/seaharbours.csv';
$csv = new CSVfile($file);
$csv->delimiter = ',';
$c = 0;
$csv->open('r');
while($row = $csv->readRow()){
	if($c > 0){
		$row = clean_array($row,false);
		$insert_sql_array = array(
			'code'=>'',
			'name'=>$row[1],
			'airport_code'=>$row[0],
			'countries_id'=>$row[3],
			'date_added'=>'now()'
		);
		xtc_db_perform('harbours',$insert_sql_array);
	}
	$c++;
}

exit;
$filename = DIR_FS_ADMIN.'companies.sql';
$somecontent = $text;

// Sichergehen, dass die Datei existiert und beschreibbar ist
if (is_writable($filename)) {

    // Wir öffnen $filename im "Anhänge" - Modus.
    // Der Dateizeiger befindet sich am Ende der Datei, und
    // dort wird $somecontent später mit fwrite() geschrieben.
    if (!$handle = fopen($filename, "w")) {
         print "Kann die Datei $filename nicht öffnen";
         exit;
    }

    // Schreibe $somecontent in die geöffnete Datei.
    if (!fwrite($handle, $somecontent)) {
        print "Kann in die Datei $filename nicht schreiben";
        exit;
    }

    print "Fertig, Datei $filename wurde geschrieben";

    fclose($handle);

} else {
    print "Die Datei $filename ist nicht schreibbar";
}
